{
  "name": "managing",
  "version": "2.0.0",
  "license": "MIT",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "serve": "serve -s dist -p 3000",
    "test": "jest",
    "lint": "eslint . --ext .ts,.tsx,.js,jsx",
    "lint:fix": "eslint . --ext .ts,.tsx,.js,jsx --fix",
    "typecheck": "tsc --noEmit",
    "prettier": "prettier --write \"**/*.+(json|yml|css|md|mdx)\"",
    "clean": "rimraf node_modules yarn.lock dist",
    "validate": "./scripts/validate"
  },
  "dependencies": {
    "@heroicons/react": "^1.0.6",
    "@microsoft/signalr": "^6.0.5",
    "@privy-io/react-auth": "^2.7.2",
    "@privy-io/wagmi": "^1.0.3",
    "@tailwindcss/typography": "^0.5.0",
    "@tanstack/react-query": "^5.67.1",
    "@wagmi/chains": "^0.2.9",
    "@wagmi/connectors": "^5.7.3",
    "@wagmi/core": "^2.17.0",
    "@walletconnect/universal-provider": "^2.8.6",
    "autoprefixer": "^10.4.7",
    "axios": "^0.27.2",
    "base64-js": "^1.5.1",
    "canonicalize": "^2.0.0",
    "classnames": "^2.3.1",
    "connectkit": "^1.8.2",
    "date-fns": "^2.30.0",
    "elliptic": "^6.6.1",
    "genetic-js": "^0.1.14",
    "jotai": "^1.6.7",
    "latest-version": "^9.0.0",
    "lightweight-charts": "git+https://github.com/ntf/lightweight-charts.git",
    "moment": "^2.29.3",
    "plotly.js": "^2.18.1",
    "postcss": "^8.4.13",
    "react": "^18.1.0",
    "react-cookie": "^4.1.1",
    "react-dom": "^18.1.0",
    "react-grid-layout": "^1.3.4",
    "react-hook-form": "^7.31.2",
    "react-hot-toast": "^2.2.0",
    "react-icons": "^4.3.1",
    "react-iframe": "^1.8.0",
    "react-plotly.js": "^2.6.0",
    "react-router-dom": "^6.3.0",
    "react-slider": "^2.0.1",
    "react-table": "^7.8.0",
    "react-toastify": "^9.0.1",
    "reactflow": "^11.8.3",
    "tailwindcss": "^3.0.23",
    "viem": "2.28.0",
    "wagmi": "^2.15.0",
    "web3": "^4.16.0",
    "zustand": "^4.4.1"
  },
  "devDependencies": {
    "@types/elliptic": "^6.4.18",
    "@types/react": "^18.0.9",
    "@types/react-dom": "^18.0.4",
    "@types/react-grid-layout": "^1.3.2",
    "@types/react-plotly.js": "^2.6.3",
    "@types/react-slider": "^1.3.1",
    "@types/react-table": "^7.7.12",
    "@types/signalr": "^2.2.37",
    "@types/testing-library__jest-dom": "^5.14.3",
    "@typescript-eslint/eslint-plugin": "^5.23.0",
    "@typescript-eslint/parser": "^5.23.0",
    "@vitejs/plugin-react": "^1.3.2",
    "all-contributors-cli": "^6.20.0",
    "autoprefixer": "^10.4.7",
    "daisyui": "^3.5.1",
    "postcss": "^8.4.13",
    "prettier": "^2.6.1",
    "prettier-plugin-tailwind-css": "^1.5.0",
    "tailwindcss": "^3.0.23",
    "typescript": "^5.7.3",
    "vite": "^6.3.5",
    "whatwg-fetch": "^3.6.2"
  },
  "msw": {
    "workerDirectory": ""
  }
}
